import java.util.*;

public class InitEvent extends Event
{
    public int  side;
    public int  unum;
    public int  playMode;

    public InitEvent(String message)
    {
        // init event: (init side unum playmode)
        //             side ::= l | r
        //             unum ::= 1 ~ 11
        //             playmode ::= usually before_kick_off
        type = Event.INIT_EVENT;
        
        StringTokenizer	tokenizer = new StringTokenizer(message,"() ");
        // skip init token
		tokenizer.nextToken();
        // look up side
        if (tokenizer.nextToken().charAt(0) == 'l') {
            side = ServerConf.LEFT_SIDE;
        } else {
            side = ServerConf.RIGHT_SIDE;
        }
        // determine number
		unum = Integer.parseInt(tokenizer.nextToken());

        // * FIXME: play mode is ignored *
        //String playMode = tokenizer.nextToken();
        playMode = ServerConf.BEFORE_KICK_OFF;
    }

}
