import java.io.*;
import java.util.*;

public class Test {

    public static void parseFlagInfo(String info)
    {
        StringTokenizer st = new StringTokenizer(info, " ");
        double distance  = Double.parseDouble(st.nextToken());
        double direction = Double.parseDouble(st.nextToken());

        System.out.println ("parse : " + distance + "  " + direction);
     }


    public static void main (String[] args) {
        String str = "(see 50 ((f r t) 55.7 3) ((f g r b) 70.8 38) ((g r) 66.7 34) (B) ((p \"TEAM\" 1 goalie) 10 20 30 40 50 60)";
        StringTokenizer st = new StringTokenizer(str, "()");
        int time = Integer.parseInt(st.nextToken().substring(4).trim());

        while (st.hasMoreTokens()) {
            String objectName = st.nextToken();
            System.out.println(objectName);
            switch (objectName.charAt(0)) {
            case 'p':
                break;
            case 'b':
                break;
            case 'f':
            {

                // class = FLAG;
                StringTokenizer st2 = new StringTokenizer(st.nextToken(), " ");
                double distance     = Double.parseDouble(st2.nextToken());
                double direction    = Double.parseDouble(st2.nextToken());
                System.out.println ("parse : " + distance + "  " + direction);
            }
            break;
            case 'g':
            {
                // class = GOAL;
                StringTokenizer st2 = new StringTokenizer(st.nextToken(), " ");
                double distance     = Double.parseDouble(st2.nextToken());
                double direction    = Double.parseDouble(st2.nextToken());
                System.out.println ("parse : " + distance + "  " + direction);
            }
            break;
            case 'l':
            {
                // class = LINE;
                StringTokenizer st2 = new StringTokenizer(st.nextToken(), " ");
                double distance     = Double.parseDouble(st2.nextToken());
                double direction    = Double.parseDouble(st2.nextToken());
                System.out.println ("parse : " + distance + "  " + direction);
            }
            break;
            }
        }
    }
}
